import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const cityHatchingShowTableDetail = createAsyncThunk(
  "GET_CITY_HATCHING_SHOW_DETAIL_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `hatching-detail/?key=${d.keyItem}`,
      {
        params: {
          d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
